<?php
/**
 * @package     ReveChat
 * @subpackage  ReveChat
 * @copyright   Copyright (C) 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die('Restricted access');
// Set toolbar items for the page
JToolBarHelper::title(JText::_('REVE Chat Manager'), 'generic.png');
//JHtml::_('jquery.framework');
//JHtml::_('script', 'system/core.js', false, true);


$sql = "select * from #__revechat limit 1";
$db =JFactory::getDBO();
$db->setQuery($sql);


if ($result = $db->execute()) {
    $rows = $db->getNumRows();
    if ($rows != 0) {
        $revechat_data = $db->loadAssocList();
        $revechat_aid = $revechat_data[0]["revechat_aid"];
    }
}
?>

<div id="revechat">

    <div class="revechat-logo">

        <img src='<?php echo JURI::root().'media/com_revechat/images/logo.png'; ?>' alt="image-icon">

    </div>

    <?php if( isset($_GET[ 'activated' ])){ ?>
        <div class="install_success_message"><h3>REVE Chat is successfully activated</h3></div>
    <?php } ?>

    <div class="revechat_wrap">

        <?php if(isset($revechat_aid) && $revechat_aid != 0){ ?>
            <form id="revechat_remove_form" name="revechat_remove_form" method="post" action="" class="revechat_success_message">

                <h4>REVE Chat has been installed.</h4>
                <p>Sign in to REVE Chat Dashboard and start chatting with your customers.</p>
                <p><a href="https://app.revechat.com" class="form-submit button-primary" target="_blank">Go to Dashboard</a></p>

                <div id="edit-actions" class="form-actions form-wrapper">
                    <input type="hidden" name="revechat_aid" value="0">
                    <input type="hidden" name="save_revechat" value="Remove"/>
                    <p><small>Something went wrong? <input type="submit" style="background: transparent; border: 0; text-decoration: underline;text-transform: lowercase; font-size: 10px; cursor: pointer;" value="Disconnect" name="revechat_remove" id="edit-submit"></small></p>
                </div>
            </form>
        <?php } else { ?>
            <div id="revechat_chooser">
                <h3>Do you already have a REVE Chat account?</h3>
                <div id="newAccountInputDiv">
                    <input type="radio" id="newAccountInput" name="accountChooser" checked="checked" >
                    <label id="newAccountInputLabel" for="newAccountInput">No, I want to create one</label>
                </div>
                <div>
                    <input type="radio" id="existingAccountInput" name="accountChooser">
                    <label id="existingAccountInputLabel" for="existingAccountInput">Yes, I already have a REVE Chat account</label>
                </div>
            </div><!-- Edit Choose Form -->

            <div class="revechat_forms">

                <div id="edit-ajax-message" class="">
                    <p class="ajax_message"></p>
                </div>

                <form name="existingAccountForm" id="existingAccountForm" class="revechat_form" method="post" action="">

                    <h3>Account Details</h3>

                    <label for="edit-revechat-account-email">REVE Chat login email</label>
                    <div class="form-group" id="pdr">
                        <input type="email" class="form-control" id="existingAccountEmail" name="existingAccountEmail" value="" placeholder="Work Email" required>
                        <i class="icon-envelope-o"></i>
                    </div>
                    <input type="hidden" name="revechat_aid" value="0">
                    <input type="hidden" name="save_revechat" value="Save"/>
                    <input type="button" id="existingAccountBtn" class="btn btn-primary btn-block" value="Save Changes" />

                </form><!-- revechat_already_have -->


                <form id="newAccountForm" class="revechat_form" method="post" action="">
                    <h3>Create a New REVE Chat account</h3>

                    <fieldset class="form-wrapper" id="edit-new-revechat-account">

                        <div class="form-group" id="pdr">
                            <input type="text" class="form-control" id="fullName" name="fullName" placeholder="Full Name">
                            <i class="icon-user"></i>
                        </div>

                        <div class="form-group" id="pdr">
                            <input type="email" class="form-control" id="emailAddress" name="emailAddress" value="" placeholder="Work Email" required>
                            <i class="icon-envelope-o"></i>
                        </div>
                        <div class="form-group" id="pdr">
                            <input type="password" class="form-control" id="password" name="password" placeholder="Password">
                            <i class="icon-eye" id="eye_close" aria-hidden="true"></i>
                            <i class="icon-eye-slash" id="eye_open" aria-hidden="true" style="display:none;"></i>
                        </div>

                        <div class="form-group">
                            <input type="text" class="form-control" pattern="[0-9\-\)\( ]+" id="phoneTaker" name="phoneTaker" placeholder="Phone Number" required>
                            <i class="icon-phone-handset"></i>
                        </div>
                        <div style="display: none;"><input type="hidden" id="phoneNo" name="phoneNo" value="" /></div>
                        <div class="form-group" id="pdr">
                            <input type="text" class="form-control" id="companyWebsite" name="companyWebsite" placeholder="Website Address">
                            <i class="icon-link"></i>
                        </div>
                    </fieldset>

                    <input type="hidden" name="revechat_aid" value="0">
                    <input type="hidden" name="save_revechat" value="Save"/>
                    <input type="button" id="new-account-submit" value="Sign Up" class="btn btn-primary btn-block">
                </form>
            </div>

        <?php } ?>
    </div>
</div>
